## Apache Zeta Components Manual :: Docs For Class ezcPersistentDefinitionManager

### PersistentObject::ezcPersistentDefinitionManager

### Class ezcPersistentDefinitionManager

Defines the interface for all persistent object definition managers.

Definition managers are used to fetch the definition of a specific persistent object. The definition is returned in form of a ezcPersistentObjectDefinition structure.

Source for this file: /PersistentObject/src/interfaces/definition_manager.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcPersistentCodeManager | Handles persistent object definitions in plain code style.
ezcPersistentCacheManager | Caches fetched definitions so they don't have to be read from the original source for each use.
ezcPersistentMultiManager | Makes it possible to fetch persistent object definitions from several sources.

### Method Summary

protected static ezcPersistentObjectDefinition | `setupReversePropertyDefinition( $def )` Returns the definition $def with the reverse relations field correctly set up.
public abstract ezcPersistentObjectDefinition | `fetchDefinition( $class )` Returns the definition of the persistent object with the class $class.

### Methods

#### setupReversePropertyDefinition

static ezcPersistentObjectDefinition setupReversePropertyDefinition( ezcPersistentObjectDefinition $def )

Returns the definition $def with the reverse relations field correctly set up.

This method will go through all of the properties in the definition and set up the columns field in the definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$def` | ezcPersistentObjectDefinition | The target persistent object definition.

#### fetchDefinition

ezcPersistentObjectDefinition fetchDefinition( string $class )

Returns the definition of the persistent object with the class $class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcPersistentDefinitionNotFoundException` | if no such definition can be found.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcPersistentCodeManager::fetchDefinition()` | Returns the definition of the persistent object with the class $class.
`ezcPersistentCacheManager::fetchDefinition()` | Returns the definition of the persistent object with the class $class.
`ezcPersistentMultiManager::fetchDefinition()` | Returns the definition of the persistent object with the class $class.

Documentation generated by phpDocumentor 1.4.3